dbXML API

## org.xmldb.api.sdk.modules
Class BaseResource

    java.lang.Object
      |
      +--org.xmldb.api.sdk.modules.BaseResource

All Implemented Interfaces:
  Resource

Direct Known Subclasses:
  SimpleBinaryResource, SimpleXMLResource

public abstract class BaseResource
extends java.lang.Object
implements Resource

Resource for encapsulation of binary data that is stored in the data base. Support for BinaryResources is optional.

The standard `getContent` method returns a `OutputStream` and the standard setContent expects an `InputStream`.

The stream types should be better clarified

Constructor Summary
`BaseResource(Collection parent, java.lang.String id)` Create a new BinaryResource without any content.
`BaseResource(Collection parent, java.lang.String id, java.lang.String content)` Create a fully initialized BinaryResource

Method Summary
`java.lang.String` `getId()` Returns the unique id for this Resource or null if the resource is anonymous.
`Collection` `getParentCollection()` Returns the `Collection` instance that this resource is associated with.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xmldb.api.base.Resource
`getContent, getResourceType, setContent`

Constructor Detail

### BaseResource

    public BaseResource(Collection parent,
                        java.lang.String id)

  Create a new BinaryResource without any content.

### BaseResource

    public BaseResource(Collection parent,
                        java.lang.String id,
                        java.lang.String content)

  Create a fully initialized BinaryResource

Method Detail

### getParentCollection

    public Collection getParentCollection()
                                   throws XMLDBException

  Returns the `Collection` instance that this resource is associated with.
  Specified by:
    `getParentCollection` in interface `Resource`
  Returns:
    the collection associated with the resource.

### getId

    public java.lang.String getId()
                           throws XMLDBException

  Returns the unique id for this Resource or null if the resource is anonymous.
  Specified by:
    `getId` in interface `Resource`
  Returns:
    the id for the Resource or null if no id exists.

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved